%define modname xattr
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A27_%{modname}.ini

Summary:	Provides a interface to Extended attributes for PHP
Name:		php-%{modname}
Version:	1.3.0
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/xattr
Source0:	http://pecl.php.net/get/xattr-%{version}.tgz
BuildRequires:	php-devel >= 3:5.3.0
Epoch:		1

%description
This package allows to manipulate extended attributes on filesystems that
support them.

%prep

%setup -q -n xattr-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc tests CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Wed Mar 09 2016 oden <oden> 1:1.3.0-1.mga6
+ Revision: 988465
- 1.3.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.2.0-10.mga6
+ Revision: 958498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.0-9.mga5
+ Revision: 743858
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.2.0-8.mga5
+ Revision: 687560
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.2.0-7.mga5
+ Revision: 616596
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.2.0-6.mga4
+ Revision: 567633
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.0-5.mga4
+ Revision: 527871
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:1.2.0-4.mga4
+ Revision: 442738
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.2.0-3.mga3
+ Revision: 393363
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.0-2.mga3
+ Revision: 377626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 oden <oden> 1:1.2.0-1.mga3
+ Revision: 330966
- 1.2.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.1.0-18.mga2
+ Revision: 223952
- httpd restart is handled by filetriggers now

* Sun Jan 16 2011 spuhler <spuhler> 1:1.1.0-17.mga1
+ Revision: 20303
- removed buildroot definition from .spec
- imported package php-xattr

